.from-top-enter-active,
.from-top-leave-active {
  transition: opacity 0.5s, transform 0.5s;
}
.from-top-enter-from,
.from-top-leave-to {
  opacity: 0;
  transform: translateY(-10px);
}
.from-bottom-enter-active,
.from-bottom-leave-active {
  transition: 0.3s;
}
.from-bottom-enter-from,
.from-bottom-leave-to {
  opacity: 0;
  transform: translateY(5px);
}

.test-enter-active,
.test-leave-active {
  transition: 0.3s;
  top: 0;
}
.test-enter-from,
.test-leave-to {
  top: 100vh;
}
